Bug 1199965 - Engine does not support Java 8 syntax in DRL files.
Summary: Engine does not support Java 8 syntax in DRL files.
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: BRE
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: DR1
: 6.3.0
Assignee: Mario Fusco
QA Contact: Marek Winkler
Dawn Eisner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-09 12:00 UTC by Tibor Zimanyi
Modified: 2016-10-14 14:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When creating a DLR file that uses Java 8 syntax, the build fails. This is caused by JBoss BRMS engine not supporting Java 8 syntax as of yet. There are no workarounds for this issue at this stage.
Clone Of:
Environment:
Last Closed:
Type: Feature Request


Attachments (Terms of Use)
Simple DRL file with rules that contain few Java 8 new syntax additions. (1.04 KB, text/plain)
2015-03-09 12:00 UTC, Tibor Zimanyi
no flags Details


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker DROOLS-1009 Major Resolved lambda expressions cannot be parsed by ecj/janino 2017-01-05 14:25:48 UTC

Description Tibor Zimanyi 2015-03-09 12:00:51 UTC
Created attachment 999507 [details]
Simple DRL file with rules that contain few Java 8 new syntax additions.

Description of problem: Engine does not support Java 8 syntax in DRL files, so user cannot write rules with new Java 8 language syntax features (forEach, lambdas, etc.). 


Version-Release number of selected component (if applicable):BRMS 6.1.0.ER6


How reproducible: Build attached DRL file with bre engine.

Comment 1 Mario Fusco 2015-12-21 14:18:28 UTC
Fixed by https://github.com/droolsjbpm/drools/commit/5e88d07b7

Comment 2 JBoss JIRA Server 2015-12-21 14:19:27 UTC
Mario Fusco <mario.fusco@gmail.com> updated the status of jira DROOLS-1009 to Resolved

Comment 3 Marek Winkler 2016-03-21 14:40:00 UTC
Verified in BRMS 6.3.0.ER1.


Note You need to log in before you can comment on or make changes to this bug.